Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

releasing 1.1.1 which fixes behavior in Rails 3 by properly initializ…

…ing ResourceAuthorization
  • Loading branch information...
commit 232ecd5b4b97f2fa2aaea4f55b59a9d4f5d53366 1 parent e1652ea
@ryanb authored
View
5 CHANGELOG.rdoc
@@ -1,3 +1,8 @@
+1.1.1 (April 17, 2010)
+
+* Fixing behavior in Rails 3 by properly initializing ResourceAuthorization
+
+
1.1.0 (April 17, 2010)
* Supporting arrays, ranges, and nested hashes in ability conditions
View
2  cancan.gemspec
@@ -1,6 +1,6 @@
Gem::Specification.new do |s|
s.name = "cancan"
- s.version = "1.1.0"
+ s.version = "1.1.1"
s.author = "Ryan Bates"
s.email = "ryan@railscasts.com"
s.homepage = "http://github.com/ryanb/cancan"
View
2  lib/cancan/resource_authorization.rb
@@ -4,7 +4,7 @@ class ResourceAuthorization # :nodoc:
def self.add_before_filter(controller_class, method, options = {})
controller_class.before_filter(options.slice(:only, :except)) do |controller|
- new(controller, controller.params, options.except(:only, :except)).send(method)
+ ResourceAuthorization.new(controller, controller.params, options.except(:only, :except)).send(method)
end
end

2 comments on commit 232ecd5

@iboard

Hi Ryan,

1.1.1 works great in my R3-application but cucumber doesn't start with cancan bundled.
private method `require' called for Bundler:Module (NoMethodError)

@ryanb
Owner

Please open an issue for this and include the full stack trace. Thanks!

Please sign in to comment.
Something went wrong with that request. Please try again.